Unit iah5e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, IAH1E_p;

procedure iah5e(A :Extended; B :Extended; var C :Array of Extended;
                N :Integer; FUNC :Func_F1E;
                var CDER :Array of Extended; var RF :Array of Extended);

implementation

procedure iah5e(A :Extended; B :Extended; var C :Array of Extended;
                N :Integer; FUNC :Func_F1E;
                var CDER :Array of Extended; var RF :Array of Extended);
var
N2,JN2,J :Integer;
CON :Extended;
label
_10,_20,_30;
begin
IAH1E(A,B,C,N,FUNC,RF);
CDER[N-1] := 0.0e0;
CDER[N-2] := 2*(N-1)*C[N-1];
if ( N < 3 ) 
 then goto _20;
N2 := N-2;
for J:=2 to N2 do
 begin
  JN2 := N2-J+1;
  CDER[JN2-1] := CDER[JN2+1]+2*JN2*C[JN2+0];
_10:
 end;
_20:
CON := 2.0e0/(B-A);
for J:=1 to N do
 begin
  CDER[J-1] := CDER[J-1]*CON;
_30:
 end;
end;

end.
